	title	'printer v.1.600 (02.09.85)'

	;************************************************
	;*	Definition von Druckersteuerzeichen	*
	;*	fuer EPC II				*
	;*						*
	;*	erstellt:	02.09.85	d.j.	*
	;************************************************
	maclib	sysdef		; System - Definitionen
	public	dotret		; EPC II: return dot image
	public	prntid		; printer id-message

	if	epc2
	extrn	hcopy		; hardcopy call only for EPC II
	endif

	dseg
	if	epc2
prntid:	db	'ID',0dh,0ah,'PRINTER  1.600  for MITSUI MC2100',0
	else
prntid	equ	0
	endif

	dseg
dotret:	;
	;	return dot image (EPC II only)
	;	BIOS-user-call 13
	;
	if	epc2
	jmp	hcopy
	else
	ret
	endif

	if	epc2
	;
	;	Druckerinitialisierung fuer GRAFIK
	;	######## nur fuer EPC II #########
	;
	public	grinit,grexit,grlead,grcrlf,grdots
grinit:	;
	;	Initialisierung fuer 800 Punkte pro Zeile
	;
	db	0dh,0ah,1bh,72h,1bh,'O',0	; CR,LF,ESC r,ESC O
grexit:	;
	;	zurueck in normalen Mode
	;
	db	1bh,73h,1bh,4dh,0dh,0ah,0	; ESC s,ESC M,CR,LF
grlead:	;
	;	Zeichenfolge um 800 Punkte auszugeben
	;
	db	'      ',1bh,'S0800',0		; space,ESC S0800
grcrlf:	;
	;	Carriage Return und Line Feed um 4 dots
	;
	db	0dh,1bh,'T08',0			; CR, ESC T08
grdots:	;
	;	0 = msb als oberste Nadel
	;	1 = lsb als oberste Nadel
	;
	db	0
	endif

	end
